# Relaxation Runge-Kutta Methods for Hamiltonian Problems

[![License: MIT](https://img.shields.io/badge/License-MIT-success.svg)](https://opensource.org/licenses/MIT)
<!-- [![DOI](https://zenodo.org/badge/DOI/XXX/zenodo.XXX.svg)](https://doi.org/XXX/zenodo.XXX) -->

This repository contains some code used in the article
```
@online{ranocha2020relaxationHamiltonian,
  title={Relaxation {Runge--Kutta} Methods for {H}amiltonian Problems},
  author={Ranocha, Hendrik and Ketcheson, David I},
  year={2020},
  month={01},
  eprint={2001.XXX},
  eprinttype={arxiv},
  eprintclass={math.NA}
}
```

> The recently-introduced relaxation approach for Runge-Kutta methods can be used to enforce conservation of energy in the integration of Hamiltonian systems. We study the behavior of implicit and explicit relaxation Runge-Kutta methods in this context. We find that, in addition to their useful conservation property, the relaxation methods yield other improvements. Experiments show that their solutions bear stronger qualitative similarity to the true solution and that the error grows more slowly in time. We also prove that these methods are superconvergent for a certain class of Hamiltonian systems.

If you find these results useful, please cite the article mentioned above. If you
use the implementations provided here, please cite this repository as
```
@misc{ranocha2020relaxationHamiltonianRepro,
  title={{Hamiltonian-RRK-notebooks}.
         {R}elaxation {Runge--Kutta} Methods for {H}amiltonian Problems},
  author={Ranocha, Hendrik and Ketcheson, David I},
  year={2020},
  month={01},
  howpublished={\url{https://github.com/ranocha/Hamiltonian-RRK-notebooks}},
  doi={XXX/zenodo.XXX}
}
```


## Disclaimer

Everything is provided as is and without warranty. Use at your own risk!
