(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      4353,        142]
NotebookOptionsPosition[      3937,        126]
NotebookOutlinePosition[      4271,        141]
CellTagsIndexPosition[      4228,        138]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"$Assumptions", " ", "=", " ", 
    RowBox[{
     RowBox[{"Element", "[", 
      RowBox[{"s", ",", "Integers"}], "]"}], "&&", 
     RowBox[{"s", ">", "0"}], "&&", 
     RowBox[{"Element", "[", 
      RowBox[{"m", ",", "Integers"}], "]"}], "&&", 
     RowBox[{"m", "\[GreaterEqual]", "1"}], "&&", 
     RowBox[{"m", "\[LessEqual]", "s"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"FullSimplify", "@", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], "^", "n"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Factorial", "[", 
        RowBox[{"m", "-", "n"}], "]"}], "*", 
       RowBox[{"Factorial", "[", 
        RowBox[{"m", "+", "n"}], "]"}]}], ")"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", 
      RowBox[{"Max", "[", 
       RowBox[{
        RowBox[{"1", "-", "m"}], ",", 
        RowBox[{"m", "-", "s"}]}], "]"}], ",", 
      RowBox[{"Min", "[", 
       RowBox[{
        RowBox[{"m", "-", "1"}], ",", 
        RowBox[{"s", "-", "m"}]}], "]"}]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.780446735413595*^9, 3.780446967667822*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"62af3780-b57b-4b86-8d72-f8526c4e9c5e"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\[Piecewise]", GridBox[{
       {
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"-", "1"}], ")"}], "m"]}], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"2", " ", "m"}], ")"}], "!"}]]}], 
        RowBox[{
         RowBox[{"2", " ", "m"}], "\[LessEqual]", 
         RowBox[{"1", "+", "s"}]}]},
       {
        FractionBox[
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], 
          RowBox[{"m", "+", "s"}]], 
         RowBox[{"m", " ", 
          RowBox[{"s", "!"}], " ", 
          RowBox[{"Gamma", "[", 
           RowBox[{
            RowBox[{"2", " ", "m"}], "-", "s"}], "]"}]}]], 
        TagBox["True",
         "PiecewiseDefault",
         AutoDelete->True]}
      },
      AllowedDimensions->{2, Automatic},
      Editable->True,
      GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
      GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{1.}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.84]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}},
      Selectable->True]}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{1.}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.35]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  "Piecewise",
  DeleteWithContents->True,
  Editable->False,
  SelectWithContents->True,
  Selectable->False,
  StripWrapperBoxes->True]], "Output",
 CellChangeTimes->{{3.780446889086891*^9, 3.780446938143503*^9}, 
   3.780446970594088*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"fb034961-e3d0-4708-b86b-49c1d504ee3d"]
}, Open  ]]
},
WindowSize->{808, 911},
WindowMargins->{{466, Automatic}, {4, Automatic}},
FrontEndVersion->"12.0 for Linux x86 (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 1316, 38, 124, "Input",ExpressionUUID->"62af3780-b57b-4b86-8d72-f8526c4e9c5e"],
Cell[1899, 62, 2022, 61, 109, "Output",ExpressionUUID->"fb034961-e3d0-4708-b86b-49c1d504ee3d"]
}, Open  ]]
}
]
*)

